Skip to content

Aritma IAM API (V1)

An API for interacting with the identity and access management system of Aritma.

Download OpenAPI description
Languages
Servers
Mock server
https://developer.aritma.com/_mock/apis/platform/iam/openapi/iam-openapi
IAM API
https://api.dev.aritma.io/core/iam

Actions related to IAM actions

Operations

Actions related to clients in Aritma ID

Operations

Returns a paginated list of available clients, optionally filtered by a query

Request

Security
authorization_code_with_pkce(Required scopes:
services.iam
)
or client_credentials(Required scopes:
services.iam
)
Query
searchTextstring

Search query

pageinteger(int32)

Requested page

pageSizeinteger(int32)

Requested pagesize

No request payload

Responses

OK

Bodyapplication/json
itemsArray of ClientDto (object) or ClientDetailsDto (object)required

The items on the current page.

One of:

A concise client dto

clientIdstringrequired

Client ID

namestringrequired

Client name

descriptionstringrequired

Client description

metadataobjectrequired

Pagination details such as current page, page size, and total count.

pageinteger(int32)required

The current page number (1-based).

pageSizeinteger(int32)required

The number of items per page.

totalCountinteger(int32)required

The total number of items across all pages.

linksobjectrequired

Navigation links for first, previous, next, and last pages.

firststring or null(uri)

Link to the first page.

previousstring or null(uri)

Link to the previous page, if one exists.

nextstring or null(uri)

Link to the next page, if one exists.

laststring or null(uri)

Link to the last page.

Response
application/json
{ "items": [ { … } ], "metadata": { "page": 0, "pageSize": 0, "totalCount": 0 }, "links": { "first": "http://example.com", "previous": "http://example.com", "next": "http://example.com", "last": "http://example.com" } }

Request

Security
authorization_code_with_pkce(Required scopes:
services.iam
)
or client_credentials(Required scopes:
services.iam
)
Bodyapplication/json

The client creation request.

namestringrequired

The display name of the client.

Example: "My Application"
descriptionstringrequired

Client description

allowedGrantTypesArray of stringsrequired

Allowed grant types. I.e. "authorization_code", "client_credentials", "password", etc.

redirectUrisArray of stringsrequired

Allowed redirect uris

allowedScopesArray of stringsrequired

Scopes that can be requested for this client

application/json
{ "name": "My Application", "description": "string", "allowedGrantTypes": [ "string" ], "redirectUris": [ "string" ], "allowedScopes": [ "string" ] }

Responses

Created

Response
No content

Request

Security
authorization_code_with_pkce(Required scopes:
services.iam
)
or client_credentials(Required scopes:
services.iam
)
Path
clientIdstringrequired

The client ID of the client to retrieve.

No request payload

Responses

OK

Bodyapplication/json
clientIdstringrequired

Client ID

namestringrequired

Client name

descriptionstringrequired

Client description

allowedGrantTypesArray of stringsrequired

Allowed grant types. I.e. "authorization_code", "client_credentials", "password", etc.

redirectUrisArray of stringsrequired

Allowed redirect uris

allowedScopesArray of stringsrequired

Scopes that can be requested for this client

Response
application/json
{ "clientId": "string", "name": "string", "description": "string", "allowedGrantTypes": [ "string" ], "redirectUris": [ "string" ], "allowedScopes": [ "string" ] }

Request

Security
authorization_code_with_pkce(Required scopes:
services.iam
)
or client_credentials(Required scopes:
services.iam
)
Path
clientIdstringrequired

The client ID of the client to update.

Bodyapplication/json

The update request body.

namestringrequired

The updated display name of the client application.

Example: "My Application"
descriptionstringrequired

Client description

allowedGrantTypesArray of stringsrequired

Allowed grant types. I.e. "authorization_code", "client_credentials", "password", etc.

redirectUrisArray of stringsrequired

Allowed redirect uris

allowedScopesArray of stringsrequired

Scopes that can be requested for this client

application/json
{ "name": "My Application", "description": "string", "allowedGrantTypes": [ "string" ], "redirectUris": [ "string" ], "allowedScopes": [ "string" ] }

Responses

OK

Response
No content

Request

Security
authorization_code_with_pkce(Required scopes:
services.iam
)
or client_credentials(Required scopes:
services.iam
)
Path
clientIdstringrequired

The client ID of the client to delete.

No request payload

Responses

No Content

Response
No content

Returns a paginated list of client secrets belonging to a client

Request

Security
authorization_code_with_pkce(Required scopes:
services.iam
)
or client_credentials(Required scopes:
services.iam
)
Path
clientIdstringrequired

The client ID whose secrets to list.

Query
pageinteger(int32)

Requested page

pageSizeinteger(int32)

Requested pagesize

No request payload

Responses

OK

Bodyapplication/json
itemsArray of objects(ClientSecretDto)required

The items on the current page.

idinteger(int32)required

The internal identifier of the secret.

typestringrequired

The secret type (e.g. SharedSecret).

descriptionstringrequired

A human-readable description of the secret.

expirationstring or null(date-time)

The optional expiry date of the secret.

createdstring(date-time)required

The date the secret was created.

metadataobjectrequired

Pagination details such as current page, page size, and total count.

pageinteger(int32)required

The current page number (1-based).

pageSizeinteger(int32)required

The number of items per page.

totalCountinteger(int32)required

The total number of items across all pages.

linksobjectrequired

Navigation links for first, previous, next, and last pages.

firststring or null(uri)

Link to the first page.

previousstring or null(uri)

Link to the previous page, if one exists.

nextstring or null(uri)

Link to the next page, if one exists.

laststring or null(uri)

Link to the last page.

Response
application/json
{ "items": [ { … } ], "metadata": { "page": 0, "pageSize": 0, "totalCount": 0 }, "links": { "first": "http://example.com", "previous": "http://example.com", "next": "http://example.com", "last": "http://example.com" } }

Request

Security
authorization_code_with_pkce(Required scopes:
services.iam
)
or client_credentials(Required scopes:
services.iam
)
Path
clientIdstringrequired

The client ID to add the secret to.

Bodyapplication/json

The secret creation request.

valuestring[ 8 .. 32 ] charactersrequired

The secret value. Must be between 8 and 32 characters.

Example: "s3cr3tV@lue!"
descriptionstringrequired

An optional human-readable description of what this secret is used for.

Example: "Production API access"
expirationstring or null(date-time)

An optional expiration date for the secret. If not set then there is no expiry.

application/json
{ "value": "s3cr3tV@lue!", "description": "Production API access", "expiration": "2019-08-24T14:15:22Z" }

Responses

Created

Response
No content

Request

Security
authorization_code_with_pkce(Required scopes:
services.iam
)
or client_credentials(Required scopes:
services.iam
)
Path
clientIdstringrequired

The client ID that owns the secret.

clientSecretIdinteger(int32)required

The numeric identifier of the secret to delete.

No request payload

Responses

No Content

Response
No content

Actions related to domains registered for the tenant, and their verification status

Operations

Actions listing information about the currently authenticated user

Operations

Actions related to IAM policies

Operations

Actions related to Aritma ID roles

Operations

Actions related to SCIM tokens

Operations

Actions related to scopes in Aritma ID

Operations

Actions common for all SSO providers

Operations

Actions relating to AzureAd as an SSO provider

Operations

Actions relating to custom SSO providers

Operations

Actions relating to Google as an SSO provider

Operations

Actions relating to Signicat as an SSO provider

Operations

Actions related to IAM subjects

Operations

Actions related to Aritma ID users

Operations